package com.yn.bftl.thirdparty.common.redis;

import org.springframework.stereotype.Component;

/**
 * 存储契约锁统一键值
 */
@Component
public class ContractLockRedis extends CommonRedis{

    final private String redisMemberKey = redisKey + "member:";

    final public String redisMemberUserKey = redisMemberKey + "user:contract:";

    public ContractLockRedis getInstance() {
        return this;
    }

    public void delete(String reKey) {
        stringRedisTemplate.delete(keys(reKey));
    }

    public void deleteByKey(String key){
        stringRedisTemplate.delete(key);
    }
}
